Summary:	Library for extracting extra information from image files
Name:		libexif
Version:	0.6.21
%define base_release .1
Release:	4%{?dist}%{?base_release}
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://libexif.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package devel
Summary:	Files needed for libexif application development
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description devel
The libexif-devel package contains the libraries and header files
for writing programs that use libexif.

%package doc
Summary:	The EXIF Library API documentation
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description doc
API Documentation for programmers wishing to use libexif in their programs.

%prep
%setup -q

%build
autoreconf -fiv
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -exec rm -v {} \;
rm -rf %{buildroot}%{_datadir}/doc/libexif
cp -R doc/doxygen-output/libexif-api.html .
iconv -f latin1 -t utf-8 < COPYING > COPYING.utf8; cp COPYING.utf8 COPYING
iconv -f latin1 -t utf-8 < README > README.utf8; cp README.utf8 README
%find_lang libexif-12

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f libexif-12.lang
%doc COPYING README NEWS
%{_libdir}/libexif.so.*

%files devel
%{_includedir}/libexif
%{_libdir}/*.so
%{_libdir}/pkgconfig/libexif.pc

%files doc
%doc libexif-api.html

%changelog
* Wed Jan 22 2014 baseuser@ibm.com
- Base-f19.x spec file
